aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--setup.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/setup.sh b/setup.sh
index 5bdd1d1..c68429c 100644
--- a/setup.sh
+++ b/setup.sh
@@ -1,5 +1,19 @@
#! /bin/bash
-echo "not yet ready, come back later."
-exit
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+# make sure we have a wordlists directory
+if [[ ! -d /usr/share/wordlists ]]; then
+ mkdir -p /usr/share/wordlists
+fi
+
+# add a link to the metasploit wordlists
+ln -s /opt/metasploit-framework/embedded/framework/data/wordlists /usr/share/wordlists/metasploit
+
+# add a link to the seclists
+ln -s /usr/share/seclists /usr/share/wordlists/seclists
+